Index: src/sas/sasgui/perspectives/fitting/gpu_options.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/gpu_options.py	(revision 432010427ba7913b23546839356e4cdc630dcee9)
+++ src/sas/sasgui/perspectives/fitting/gpu_options.py	(revision 65d1d04f2ddcdaca9f6c671184a136d67706fca9)
@@ -17,4 +17,7 @@
 
 class CustomMessageBox(wx.Dialog):
+    """
+    Custom message box for OpenCL results
+    """
     def __init__(self, parent, msg, title):
 
@@ -26,5 +29,5 @@
 
         self.text = wx.TextCtrl(self, -1, size=(500, 400),
-                           style=wx.TE_MULTILINE|wx.TE_READONLY)
+                                style=wx.TE_MULTILINE|wx.TE_READONLY)
         self.text.SetValue(msg)
         self.text.SetBackgroundColour(self.GetBackgroundColour())
@@ -40,9 +43,9 @@
         self.vbox.Add(self.panel, 0, wx.ALL, 10)
 
-        self.message_text = wx.StaticText(self, -1,"If tests fail on OpenCL devices, "
-                                "please select No OpenCL option.\n\n"
-                                "In case of large number of failing tests, "
-                                "please consider sending\n"
-                                "above report to help@sasview.org.")
+        self.message_text = wx.StaticText(self, -1, "If tests fail on OpenCL devices, "
+                                                    "please select No OpenCL option.\n\n"
+                                                    "In case of large number of failing tests, "
+                                                    "please consider sending\n"
+                                                    "above report to help@sasview.org.")
 
         self.vbox.Add(self.message_text, 0, wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 10)
@@ -87,5 +90,5 @@
         self.buttons = []
         #Check if SAS_OPENCL is already set as enviromental variable
-        self.sas_opencl = os.environ.get("SAS_OPENCL","")
+        self.sas_opencl = os.environ.get("SAS_OPENCL", "")
 
         for clopt in clinfo:
@@ -134,5 +137,5 @@
         self.Bind(wx.EVT_BUTTON, self.on_help, help_btn)
 
-        test_text = wx.StaticText(self, -1,"WARNING: Running tests can take a few minutes!")
+        test_text = wx.StaticText(self, -1, "WARNING: Running tests can take a few minutes!")
         self.vbox.Add(test_text, 0, wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 10)
 
@@ -170,12 +173,10 @@
                 for device in devices:
                     if len(devices) > 1 and len(platforms) > 1:
-                        combined_index = ":".join([str(p_index),str(d_index)])
+                        combined_index = ":".join([str(p_index), str(d_index)])
                     elif len(platforms) > 1:
                         combined_index = str(p_index)
                     else:
                         combined_index = str(d_index)
-                    #combined_index = ":".join([str(p_index),str(d_index)]) \
-                    #    if len(platforms) > 1 else str(d_index)
-                    clinfo.append((combined_index, ":".join([platform.name,device.name])))
+                    clinfo.append((combined_index, ":".join([platform.name, device.name])))
                     d_index += 1
                 p_index += 1
@@ -183,5 +184,5 @@
             warnings.warn("pyopencl import failed. Using only CPU computations")
 
-        clinfo.append(("None","No OpenCL"))
+        clinfo.append(("None", "No OpenCL"))
         return clinfo
 
@@ -211,5 +212,5 @@
         else:
             if "SAS_OPENCL" in os.environ:
-                del(os.environ["SAS_OPENCL"])
+                del os.environ["SAS_OPENCL"]
 
         #Sasmodels kernelcl doesn't exist when initiated with None
@@ -227,5 +228,5 @@
             btn.SetValue(0)
 
-        self.sas_opencl=None
+        self.sas_opencl = None
 
     def on_test(self, event):
@@ -246,5 +247,5 @@
         else:
             if "SAS_OPENCL" in os.environ:
-                del(os.environ["SAS_OPENCL"])
+                del os.environ["SAS_OPENCL"]
 
         #Sasmodels kernelcl doesn't exist when initiated with None
@@ -263,9 +264,9 @@
             env = environment()
             clinfo = [(ctx.devices[0].platform.vendor,
-                      ctx.devices[0].platform.version,
-                      ctx.devices[0].vendor,
-                      ctx.devices[0].name,
-                      ctx.devices[0].version)
-                    for ctx in env.context]
+                       ctx.devices[0].platform.version,
+                       ctx.devices[0].vendor,
+                       ctx.devices[0].name,
+                       ctx.devices[0].version)
+                      for ctx in env.context]
         except ImportError:
             clinfo = None
@@ -295,9 +296,9 @@
             msg += 'Failing tests: '
             msg += json.dumps(info['failing tests'])
-            msg +="\n"
-        else:
-            msg+="All tests passed!\n"
-
-        msg +="\nPlatform Details:\n\n"
+            msg += "\n"
+        else:
+            msg += "All tests passed!\n"
+
+        msg += "\nPlatform Details:\n\n"
         msg += "Sasmodels version: "
         msg += info['version']+"\n"
